Package org.gradle.api.artifacts.result

## Interface ComponentSelectionDescriptor

-     public interface ComponentSelectionDescriptor

  A component selection description, which wraps a cause with an optional custom description.
  Since:
    4.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ComponentSelectionCause` | `getCause()` | Returns the cause associated with this descriptor
    `String` | `getDescription()` | Returns a description for the selection.

- - ### Method Detail

    - #### getCause

          ComponentSelectionCause getCause()

      Returns the cause associated with this descriptor
      Returns:
        a component selection cause

    - #### getDescription

          String getDescription()

      Returns a description for the selection. This may be the default description of a `cause`, or a custom description provided typically through a rule.
      Returns:
        the description of this component selection